<template>
	<view class="pages">
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				
			}
		},
		onShow() {
			// console.log('config',this.$getimg);
		},
		onLoad() {
			// 从本地缓存中同步获取指定 key 对应的内容，用于判断是否是第一次打开应用
			 const launch = uni.getStorageSync('launchFlag');
			 const haslogin = uni.getStorageSync('haslogin');
			 const version = uni.getStorageSync('version');
			 
			 if(!version){
				uni.setStorage({
				  key: 'version',
				  data: this.config.version
				});
			 }
			 if (launch&&version==this.config.version&&haslogin) {
			   // 如果已经有，直接去首页
				   this.goIndex();				
			 } else {
			   // 没有值，跳到引导页，并存储，下次打开就不会进去引导页
			   this.goGuide();
			   uni.setStorage({
			     key: 'launchFlag',
			     data: true
			   });
				// this.lxfEndtime();
			 }
			 
		},
		onReady() {
			
			
		},
		methods: {
			goIndex(){
				uni.setStorage({
				  key: 'version',
				  data: this.config.version
				});
				uni.redirectTo({
				    url: '/pages/index/index',
					fail(err) {
						// console.log(err)
					}
				});
			},
			goGuide(){
				uni.setStorage({
				  key: 'version',
				  data: this.config.version
				});
				uni.redirectTo({
				    url: '/pages/index/guide',
					fail(err) {
						// console.log(err)
					}
				});
			},

		}
	}
</script>

<style scoped>

</style>
